export declare const NullablePlainDateTimeInput: (options: {
    autocomplete?: import("@tempots/dom").Value<string> | undefined;
    autofocus?: import("@tempots/dom").Value<boolean> | undefined;
    class?: import("@tempots/dom").Value<string> | undefined;
    disabled?: import("@tempots/dom").Value<boolean> | undefined;
    hasError?: import("@tempots/dom").Value<boolean> | undefined;
    name?: import("@tempots/dom").Value<string> | undefined;
    placeholder?: import("@tempots/dom").Value<string> | undefined;
    id?: import("@tempots/dom").Value<string> | undefined;
    required?: import("@tempots/dom").Value<boolean> | undefined;
    tabIndex?: import("@tempots/dom").Value<number> | undefined;
    size?: import("@tempots/dom").Value<import("../../theme").ControlSize> | undefined;
    value: import("@tempots/dom").Value<import("@js-temporal/polyfill").Temporal.PlainDateTime | null>;
    before?: import("@tempots/dom").TNode;
    after?: import("@tempots/dom").TNode;
    onChange?: ((value: import("@js-temporal/polyfill").Temporal.PlainDateTime | null) => void) | undefined;
    onInput?: ((value: import("@js-temporal/polyfill").Temporal.PlainDateTime | null) => void) | undefined;
    onBlur?: (() => void) | undefined;
}) => import("@tempots/dom").Renderable;
